diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/edit-link-form.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/edit-link-form.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/edit-link-form.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/edit-link-form.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 82,88 ****
  <div id="namediv" class="stuffbox">
  <h3><label for="link_name"><?php _ex('Name', 'link name') ?></label></h3>
  <div class="inside">
! 	<input type="text" name="link_name" size="30" tabindex="1" value="<?php echo esc_attr($link->link_name); ?>" id="link_name" />
      <p><?php _e('Example: Nifty blogging software'); ?></p>
  </div>
  </div>
--- 82,88 ----
  <div id="namediv" class="stuffbox">
  <h3><label for="link_name"><?php _ex('Name', 'link name') ?></label></h3>
  <div class="inside">
! 	<input type="text" name="link_name" size="30" value="<?php echo esc_attr($link->link_name); ?>" id="link_name" />
      <p><?php _e('Example: Nifty blogging software'); ?></p>
  </div>
  </div>
***************
*** 90,96 ****
  <div id="addressdiv" class="stuffbox">
  <h3><label for="link_url"><?php _e('Web Address') ?></label></h3>
  <div class="inside">
! 	<input type="text" name="link_url" size="30" class="code" tabindex="1" value="<?php echo esc_attr($link->link_url); ?>" id="link_url" />
      <p><?php _e('Example: <code>http://wordpress.org/</code> &#8212; don&#8217;t forget the <code>http://</code>'); ?></p>
  </div>
  </div>
--- 90,96 ----
  <div id="addressdiv" class="stuffbox">
  <h3><label for="link_url"><?php _e('Web Address') ?></label></h3>
  <div class="inside">
! 	<input type="text" name="link_url" size="30" class="code" value="<?php echo esc_attr($link->link_url); ?>" id="link_url" />
      <p><?php _e('Example: <code>http://wordpress.org/</code> &#8212; don&#8217;t forget the <code>http://</code>'); ?></p>
  </div>
  </div>
***************
*** 98,104 ****
  <div id="descriptiondiv" class="stuffbox">
  <h3><label for="link_description"><?php _e('Description') ?></label></h3>
  <div class="inside">
! 	<input type="text" name="link_description" size="30" tabindex="1" value="<?php echo isset($link->link_description) ? esc_attr($link->link_description) : ''; ?>" id="link_description" />
      <p><?php _e('This will be shown when someone hovers over the link in the blogroll, or optionally below the link.'); ?></p>
  </div>
  </div>
--- 98,104 ----
  <div id="descriptiondiv" class="stuffbox">
  <h3><label for="link_description"><?php _e('Description') ?></label></h3>
  <div class="inside">
! 	<input type="text" name="link_description" size="30" value="<?php echo isset($link->link_description) ? esc_attr($link->link_description) : ''; ?>" id="link_description" />
      <p><?php _e('This will be shown when someone hovers over the link in the blogroll, or optionally below the link.'); ?></p>
  </div>
  </div>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/edit.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/edit.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/edit.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/edit.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 103,109 ****
  		case 'delete':
  			$deleted = 0;
  			foreach( (array) $post_ids as $post_id ) {
! 				$post_del = & get_post($post_id);
  
  				if ( !current_user_can($post_type_object->cap->delete_post, $post_id) )
  					wp_die( __('You are not allowed to delete this item.') );
--- 103,109 ----
  		case 'delete':
  			$deleted = 0;
  			foreach( (array) $post_ids as $post_id ) {
! 				$post_del = get_post($post_id);
  
  				if ( !current_user_can($post_type_object->cap->delete_post, $post_id) )
  					wp_die( __('You are not allowed to delete this item.') );
***************
*** 215,230 ****
  	);
  }
  
! add_screen_option( 'per_page', array('label' => $title, 'default' => 20) );
  
  require_once('./admin-header.php');
  ?>
  <div class="wrap">
  <?php screen_icon(); ?>
! <h2><?php echo esc_html( $post_type_object->labels->name ); ?> <a href="<?php echo $post_new_file ?>" class="add-new-h2"><?php echo esc_html($post_type_object->labels->add_new); ?></a> <?php
  if ( ! empty( $_REQUEST['s'] ) )
! 	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', get_search_query() ); ?>
! </h2>
  
  <?php if ( isset( $_REQUEST['locked'] ) || isset( $_REQUEST['updated'] ) || isset( $_REQUEST['deleted'] ) || isset( $_REQUEST['trashed'] ) || isset( $_REQUEST['untrashed'] ) ) {
  	$messages = array();
--- 215,233 ----
  	);
  }
  
! add_screen_option( 'per_page', array( 'label' => $title, 'default' => 20, 'option' => 'edit_' . $post_type . '_per_page' ) );
  
  require_once('./admin-header.php');
  ?>
  <div class="wrap">
  <?php screen_icon(); ?>
! <h2><?php
! echo esc_html( $post_type_object->labels->name );
! if ( current_user_can( $post_type_object->cap->create_posts ) )
! 	echo ' <a href="' . esc_url( $post_new_file ) . '" class="add-new-h2">' . esc_html( $post_type_object->labels->add_new ) . '</a>';
  if ( ! empty( $_REQUEST['s'] ) )
! 	printf( ' <span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', get_search_query() );
! ?></h2>
  
  <?php if ( isset( $_REQUEST['locked'] ) || isset( $_REQUEST['updated'] ) || isset( $_REQUEST['deleted'] ) || isset( $_REQUEST['trashed'] ) || isset( $_REQUEST['untrashed'] ) ) {
  	$messages = array();
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/edit-tag-form.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/edit-tag-form.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/edit-tag-form.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/edit-tag-form.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 62,68 ****
  		<tr class="form-field">
  			<th scope="row" valign="top"><label for="description"><?php _ex('Description', 'Taxonomy Description'); ?></label></th>
  			<td><textarea name="description" id="description" rows="5" cols="50" class="large-text"><?php echo $tag->description; // textarea_escaped ?></textarea><br />
! 			<span class="description"><?php _e('The description is not prominent by default, however some themes may show it.'); ?></span></td>
  		</tr>
  		<?php
  		// Back compat hooks
--- 62,68 ----
  		<tr class="form-field">
  			<th scope="row" valign="top"><label for="description"><?php _ex('Description', 'Taxonomy Description'); ?></label></th>
  			<td><textarea name="description" id="description" rows="5" cols="50" class="large-text"><?php echo $tag->description; // textarea_escaped ?></textarea><br />
! 			<span class="description"><?php _e('The description is not prominent by default; however, some themes may show it.'); ?></span></td>
  		</tr>
  		<?php
  		// Back compat hooks
***************
*** 91,93 ****
--- 91,96 ----
  ?>
  </form>
  </div>
+ <script type="text/javascript">
+ try{document.forms.edittag.name.focus();}catch(e){}
+ </script>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/edit-tags.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/edit-tags.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/edit-tags.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/edit-tags.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 26,32 ****
  $title = $tax->labels->name;
  
  if ( 'post' != $post_type ) {
! 	$parent_file = "edit.php?post_type=$post_type";
  	$submenu_file = "edit-tags.php?taxonomy=$taxonomy&amp;post_type=$post_type";
  } else if ( 'link_category' == $tax->name ) {
  	$parent_file = 'link-manager.php';
--- 26,32 ----
  $title = $tax->labels->name;
  
  if ( 'post' != $post_type ) {
! 	$parent_file = ( 'attachment' == $post_type ) ? 'upload.php' : "edit.php?post_type=$post_type";
  	$submenu_file = "edit-tags.php?taxonomy=$taxonomy&amp;post_type=$post_type";
  } else if ( 'link_category' == $tax->name ) {
  	$parent_file = 'link-manager.php';
***************
*** 36,42 ****
  	$submenu_file = "edit-tags.php?taxonomy=$taxonomy";
  }
  
! add_screen_option( 'per_page', array('label' => $title, 'default' => 20, 'option' => 'edit_' . $tax->name . '_per_page') );
  
  switch ( $wp_list_table->current_action() ) {
  
--- 36,42 ----
  	$submenu_file = "edit-tags.php?taxonomy=$taxonomy";
  }
  
! add_screen_option( 'per_page', array( 'label' => $title, 'default' => 20, 'option' => 'edit_' . $tax->name . '_per_page' ) );
  
  switch ( $wp_list_table->current_action() ) {
  
***************
*** 195,201 ****
  		$help = '<p>' . __( 'You can assign keywords to your posts using <strong>tags</strong>. Unlike categories, tags have no hierarchy, meaning there&#8217;s no relationship from one tag to another.' ) . '</p>';
  
  	if ( 'link_category' == $taxonomy )
! 		$help .= '<p>' . __( 'You can delete Link Categories in the Bulk Action pulldown, but that action does not delete the links within the category. Instead, it moves them to the default Link Category.' ) . '</p>';
  	else
  		$help .='<p>' . __( 'What&#8217;s the difference between categories and tags? Normally, tags are ad-hoc keywords that identify important information in your post (names, subjects, etc) that may or may not recur in other posts, while categories are pre-determined sections. If you think of your site like a book, the categories are like the Table of Contents and the tags are like the terms in the index.' ) . '</p>';
  
--- 195,201 ----
  		$help = '<p>' . __( 'You can assign keywords to your posts using <strong>tags</strong>. Unlike categories, tags have no hierarchy, meaning there&#8217;s no relationship from one tag to another.' ) . '</p>';
  
  	if ( 'link_category' == $taxonomy )
! 		$help .= '<p>' . __( 'You can delete Link Categories in the Bulk Action pull-down, but that action does not delete the links within the category. Instead, it moves them to the default Link Category.' ) . '</p>';
  	else
  		$help .='<p>' . __( 'What&#8217;s the difference between categories and tags? Normally, tags are ad-hoc keywords that identify important information in your post (names, subjects, etc) that may or may not recur in other posts, while categories are pre-determined sections. If you think of your site like a book, the categories are like the Table of Contents and the tags are like the terms in the index.' ) . '</p>';
  
***************
*** 218,224 ****
  			$help .= '<li>' . __( '<strong>Slug</strong> - The &#8220;slug&#8221; is the URL-friendly version of the name. It is usually all lowercase and contains only letters, numbers, and hyphens.' ) . '</li>';
  
  		if ( 'category' == $taxonomy )
! 			$help .= '<li>' . __( '<strong>Parent</strong> - Categories, unlike tags, can have a hierarchy. You might have a Jazz category, and under that have children categories for Bebop and Big Band. Totally optional. To create a subcategory, just choose another category from the Parent dropdown.' ) . '</li>';
  
  		$help .= '<li>' . __( '<strong>Description</strong> - The description is not prominent by default; however, some themes may display it.' ) . '</li>' .
  		'</ul>' .
--- 218,224 ----
  			$help .= '<li>' . __( '<strong>Slug</strong> - The &#8220;slug&#8221; is the URL-friendly version of the name. It is usually all lowercase and contains only letters, numbers, and hyphens.' ) . '</li>';
  
  		if ( 'category' == $taxonomy )
! 			$help .= '<li>' . __( '<strong>Parent</strong> - Categories, unlike tags, can have a hierarchy. You might have a Jazz category, and under that have child categories for Bebop and Big Band. Totally optional. To create a subcategory, just choose another category from the Parent dropdown.' ) . '</li>';
  
  		$help .= '<li>' . __( '<strong>Description</strong> - The description is not prominent by default; however, some themes may display it.' ) . '</li>' .
  		'</ul>' .
***************
*** 305,311 ****
  </div>
  <?php elseif ( 'post_tag' == $taxonomy && current_user_can( 'import' ) ) : ?>
  <div class="form-wrap">
! <p><?php printf(__('Tags can be selectively converted to categories using the <a href="%s">tag to category converter</a>'), 'import.php') ;?>.</p>
  </div>
  <?php endif;
  do_action('after-' . $taxonomy . '-table', $taxonomy);
--- 305,311 ----
  </div>
  <?php elseif ( 'post_tag' == $taxonomy && current_user_can( 'import' ) ) : ?>
  <div class="form-wrap">
! <p><?php printf(__('Tags can be selectively converted to categories using the <a href="%s">tag to category converter</a>.'), 'import.php') ;?></p>
  </div>
  <?php endif;
  do_action('after-' . $taxonomy . '-table', $taxonomy);
***************
*** 388,394 ****
  	do_action('add_tag_form_fields', $taxonomy);
  do_action($taxonomy . '_add_form_fields', $taxonomy);
  
! submit_button( $tax->labels->add_new_item, 'button' );
  
  // Back compat hooks. Deprecated in preference to {$taxonomy}_add_form
  if ( 'category' == $taxonomy )
--- 388,394 ----
  	do_action('add_tag_form_fields', $taxonomy);
  do_action($taxonomy . '_add_form_fields', $taxonomy);
  
! submit_button( $tax->labels->add_new_item );
  
  // Back compat hooks. Deprecated in preference to {$taxonomy}_add_form
  if ( 'category' == $taxonomy )
***************
*** 408,414 ****
  
  </div><!-- /col-container -->
  </div><!-- /wrap -->
! 
  <?php $wp_list_table->inline_edit(); ?>
  
  <?php
--- 408,416 ----
  
  </div><!-- /col-container -->
  </div><!-- /wrap -->
! <script type="text/javascript">
! try{document.forms.addtag['tag-name'].focus();}catch(e){}
! </script>
  <?php $wp_list_table->inline_edit(); ?>
  
  <?php
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/export.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/export.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/export.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/export.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 16,22 ****
  require_once('./includes/export.php');
  $title = __('Export');
  
! function add_js() {
  ?>
  <script type="text/javascript">
  //<![CDATA[
--- 16,27 ----
  require_once('./includes/export.php');
  $title = __('Export');
  
! /**
!  * Display JavaScript on the page.
!  *
!  * @since 3.5.0
!  */
! function export_add_js() {
  ?>
  <script type="text/javascript">
  //<![CDATA[
***************
*** 36,42 ****
  </script>
  <?php
  }
! add_action( 'admin_head', 'add_js' );
  
  get_current_screen()->add_help_tab( array(
  	'id'      => 'overview',
--- 41,47 ----
  </script>
  <?php
  }
! add_action( 'admin_head', 'export_add_js' );
  
  get_current_screen()->add_help_tab( array(
  	'id'      => 'overview',
***************
*** 89,94 ****
--- 94,101 ----
  		$args['content'] = $_GET['content'];
  	}
  
+ 	$args = apply_filters( 'export_args', $args );
+ 
  	export_wp( $args );
  	die();
  }
***************
*** 204,210 ****
  <p><label><input type="radio" name="content" value="<?php echo esc_attr( $post_type->name ); ?>" /> <?php echo esc_html( $post_type->label ); ?></label></p>
  <?php endforeach; ?>
  
! <?php submit_button( __('Download Export File'), 'secondary' ); ?>
  </form>
  </div>
  
--- 211,219 ----
  <p><label><input type="radio" name="content" value="<?php echo esc_attr( $post_type->name ); ?>" /> <?php echo esc_html( $post_type->label ); ?></label></p>
  <?php endforeach; ?>
  
! <?php do_action( 'export_filters' ) ?>
! 
! <?php submit_button( __('Download Export File') ); ?>
  </form>
  </div>
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/freedoms.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/freedoms.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/freedoms.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/freedoms.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 19,25 ****
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version! WordPress %s is already making your website better, faster, and more attractive, just like you!' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
--- 19,25 ----
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version! WordPress %s is more polished and enjoyable than ever before. We hope you like it.' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/import.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/import.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/import.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/import.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 29,50 ****
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
! $popular_importers = array();
! if ( current_user_can('install_plugins') )
! 	$popular_importers = array(
! 		'blogger' => array( __('Blogger'), __('Install the Blogger importer to import posts, comments, and users from a Blogger blog.'), 'install' ),
! 		'wpcat2tag' => array(__('Categories and Tags Converter'), __('Install the category/tag converter to convert existing categories to tags or tags to categories, selectively.'), 'install', 'wp-cat2tag' ),
! 		'livejournal' => array( __( 'LiveJournal' ), __( 'Install the LiveJournal importer to import posts from LiveJournal using their API.' ), 'install' ),
! 		'movabletype' => array( __('Movable Type and TypePad'), __('Install the Movable Type importer to import posts and comments from a Movable Type or TypePad blog.'), 'install', 'mt' ),
! 		'opml' => array( __('Blogroll'), __('Install the blogroll importer to import links in OPML format.'), 'install' ),
! 		'rss' => array( __('RSS'), __('Install the RSS importer to import posts from an RSS feed.'), 'install' ),
! 		'tumblr' => array( __('Tumblr'), __('Install the Tumblr importer to import posts &amp; media from Tumblr using their API.'), 'install' ),
! 		'wordpress' => array( 'WordPress', __('Install the WordPress importer to import posts, pages, comments, custom fields, categories, and tags from a WordPress export file.'), 'install' )
! 	);
! 
! if ( ! empty( $_GET['invalid'] ) && !empty($popular_importers[$_GET['invalid']][3]) ) {
! 	wp_redirect( admin_url('import.php?import=' . $popular_importers[$_GET['invalid']][3]) );
! 	exit;
  }
  
  add_thickbox();
--- 29,47 ----
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
! if ( current_user_can( 'install_plugins' ) )
! 	$popular_importers = wp_get_popular_importers();
! else
! 	$popular_importers = array();
! 
! // Detect and redirect invalid importers like 'movabletype', which is registered as 'mt'
! if ( ! empty( $_GET['invalid'] ) && isset( $popular_importers[ $_GET['invalid'] ] ) ) {
! 	$importer_id = $popular_importers[ $_GET['invalid'] ]['importer-id'];
! 	if ( $importer_id != $_GET['invalid'] ) { // Prevent redirect loops.
! 		wp_redirect( admin_url( 'admin.php?import=' . $importer_id ) );
! 		exit;
! 	}
! 	unset( $importer_id );
  }
  
  add_thickbox();
***************
*** 68,95 ****
  
  // If a popular importer is not registered, create a dummy registration that links to the plugin installer.
  foreach ( $popular_importers as $pop_importer => $pop_data ) {
! 	if ( isset( $importers[$pop_importer] ) )
  		continue;
! 	if ( isset( $pop_data[3] ) && isset( $importers[ $pop_data[3] ] ) )
  		continue;
! 
! 	$importers[$pop_importer] = $popular_importers[$pop_importer];
  }
  
! if ( empty($importers) ) {
! 	echo '<p>'.__('No importers are available.').'</p>'; // TODO: make more helpful
  } else {
! 	uasort($importers, create_function('$a, $b', 'return strcmp($a[0], $b[0]);'));
  ?>
  <table class="widefat importers" cellspacing="0">
  
  <?php
! 	$style = '';
! 	foreach ($importers as $id => $data) {
! 		$style = ('class="alternate"' == $style || 'class="alternate active"' == $style) ? '' : 'alternate';
  		$action = '';
! 		if ( 'install' == $data[2] ) {
! 			$plugin_slug = $id . '-importer';
  			if ( file_exists( WP_PLUGIN_DIR . '/' . $plugin_slug ) ) {
  				// Looks like Importer is installed, But not active
  				$plugins = get_plugins( '/' . $plugin_slug );
--- 65,90 ----
  
  // If a popular importer is not registered, create a dummy registration that links to the plugin installer.
  foreach ( $popular_importers as $pop_importer => $pop_data ) {
! 	if ( isset( $importers[ $pop_importer ] ) )
  		continue;
! 	if ( isset( $importers[ $pop_data['importer-id'] ] ) )
  		continue;
! 	$importers[ $pop_data['importer-id'] ] = array( $pop_data['name'], $pop_data['description'], 'install' => $pop_data['plugin-slug'] );
  }
  
! if ( empty( $importers ) ) {
! 	echo '<p>' . __('No importers are available.') . '</p>'; // TODO: make more helpful
  } else {
! 	uasort($importers, create_function('$a, $b', 'return strnatcasecmp($a[0], $b[0]);'));
  ?>
  <table class="widefat importers" cellspacing="0">
  
  <?php
! 	$alt = '';
! 	foreach ($importers as $importer_id => $data) {
  		$action = '';
! 		if ( isset( $data['install'] ) ) {
! 			$plugin_slug = $data['install'];
  			if ( file_exists( WP_PLUGIN_DIR . '/' . $plugin_slug ) ) {
  				// Looks like Importer is installed, But not active
  				$plugins = get_plugins( '/' . $plugin_slug );
***************
*** 111,123 ****
  				}
  			}
  		} else {
! 			$action = "<a href='" . esc_url("admin.php?import=$id") . "' title='" . esc_attr( wptexturize(strip_tags($data[1])) ) ."'>{$data[0]}</a>";
  		}
  
! 		if ($style != '')
! 			$style = 'class="'.$style.'"';
  		echo "
! 			<tr $style>
  				<td class='import-system row-title'>$action</td>
  				<td class='desc'>{$data[1]}</td>
  			</tr>";
--- 106,117 ----
  				}
  			}
  		} else {
! 			$action = "<a href='" . esc_url( "admin.php?import=$importer_id" ) . "' title='" . esc_attr( wptexturize( strip_tags( $data[1] ) ) ) ."'>{$data[0]}</a>";
  		}
  
! 		$alt = $alt ? '' : ' class="alternate"';
  		echo "
! 			<tr$alt>
  				<td class='import-system row-title'>$action</td>
  				<td class='desc'>{$data[1]}</td>
  			</tr>";
